/**
**************************************************************************
* @file app_init.h
* @brief Файл с функцией инициализации программы МК @ref app_init.
**************************************************************************/
#include "mcu_wrapper_conf.h"
#include "app_wrapper.h"

/**
  * @brief Функция для инициализации приложения МК
  * @details Используется в случае симуляции без отдельного потока для main().
  */
void app_init(void) {
// USER APP INIT START
// Код для инициализации приложения МК
//
// Вызов разных функций в случае, 
// если не используется отдельный поток для main().
  HAL_Init();
  MX_TIM1_Init();
  MX_TIM3_Init();
  __HAL_TIM_SET_COMPARE(&hpwm1, PWM_CHANNEL_1, __HAL_TIM_GET_AUTORELOAD(&hpwm1)/2);
  HAL_TIM_PWM_Start(&hpwm1, PWM_CHANNEL_1);
  MX_ADC1_Init();
  HAL_ADC_Start(&hadc1);
// USER APP INIT END
}


/**
  * @brief Функция для деинициализации приложения МК
  */
void app_deinit(void) {
// USER APP DEINIT START
// Код для деинициализации приложения МК
//
// Структуры, переменные и так далее, которые надо очистить,
// для повторного запуска симуляции.
deInitialize_MCU();
// USER APP DEINIT END
}